package com.aucma.report.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.report.mapper.RecordExceptionMapper;
import com.aucma.report.domain.RecordException;
import com.aucma.report.service.IRecordExceptionService;

/**
 * 成品下线异常记录Service业务层处理
 *
 * @author Yinq
 * @date 2024-04-01
 */
@Service
public class RecordExceptionServiceImpl implements IRecordExceptionService {
    @Autowired
    private RecordExceptionMapper recordExceptionMapper;

    /**
     * 查询成品下线异常记录
     *
     * @param objId 成品下线异常记录主键
     * @return 成品下线异常记录
     */
    @Override
    public RecordException selectRecordExceptionByObjId(Long objId) {
        return recordExceptionMapper.selectRecordExceptionByObjId(objId);
    }

    /**
     * 查询成品下线异常记录列表
     *
     * @param recordException 成品下线异常记录
     * @return 成品下线异常记录
     */
    @Override
    public List<RecordException> selectRecordExceptionList(RecordException recordException) {
        return recordExceptionMapper.selectRecordExceptionList(recordException);
    }

    /**
     * 新增成品下线异常记录
     *
     * @param recordException 成品下线异常记录
     * @return 结果
     */
    @Override
    public int insertRecordException(RecordException recordException) {
        return recordExceptionMapper.insertRecordException(recordException);
    }

    /**
     * 修改成品下线异常记录
     *
     * @param recordException 成品下线异常记录
     * @return 结果
     */
    @Override
    public int updateRecordException(RecordException recordException) {
        return recordExceptionMapper.updateRecordException(recordException);
    }

    /**
     * 批量删除成品下线异常记录
     *
     * @param objIds 需要删除的成品下线异常记录主键
     * @return 结果
     */
    @Override
    public int deleteRecordExceptionByObjIds(Long[] objIds) {
        return recordExceptionMapper.deleteRecordExceptionByObjIds(objIds);
    }

    /**
     * 删除成品下线异常记录信息
     *
     * @param objId 成品下线异常记录主键
     * @return 结果
     */
    @Override
    public int deleteRecordExceptionByObjId(Long objId) {
        return recordExceptionMapper.deleteRecordExceptionByObjId(objId);
    }
}
